Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006825opensim[GRID] Asset Servicepublic2013-11-02 07:462014-07-29 13:42
ReporterMata Hari 
Assigned ToMata Hari 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformIntel i7 930 quad coreOSWindows .NETOS VersionWin7 x64
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006825: Enable MaterialsDemoModule by default in Opensim.ini.example
DescriptionWith most viewers now supporting materials, I suspect I won't be the only one who is mystified as to why a bump or specular texture applied to an object doesn't work and isn't persisted until the module is enabled in Opensim.ini. The OSG ini file has it but currently the source does not. If you check modules via console, the MaterialsDemoModule will show as present even if it isn't active which would be confusing (or at least was to me).

Suggest adding the following to Opensim.ini.example either as enabled by default or at least *there* in the ini file and commented out if it's not something you want enabled by default.

[MaterialsDemoModule]
TagsNo tags attached.
Git Revision or version number
Run Mode Standalone (Multiple Regions)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Files

- Relationships
related to 0006915closeddahlia [PATCH] Materials: save materials as assets; fixed bugs; removed "Demo" status 

-  Notes
(0024606)
nebadon (administrator)
2013-11-02 07:56

Unfortunately at this time not all the viewers support this functionality quite yet, nor is the code in core 100% ready for use, as soon as functionality is a bit more complete it will be enabled by default, as of right now this is still only in testing and development phase.
(0025023)
Mata Hari (reporter)
2014-01-20 03:53

now fixed re 0006915

- Issue History
Date Modified Username Field Change
2013-11-02 07:46 Mata Hari New Issue
2013-11-02 07:56 nebadon Note Added: 0024606
2014-01-20 03:52 Mata Hari Relationship added related to 0006915
2014-01-20 03:53 Mata Hari Note Added: 0025023
2014-01-20 03:53 Mata Hari Status new => resolved
2014-01-20 03:53 Mata Hari Fixed in Version => master (dev code)
2014-01-20 03:53 Mata Hari Resolution open => fixed
2014-01-20 03:53 Mata Hari Assigned To => Mata Hari
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker